Product comparison · 2 wireless routers

TP-Link Archer CR700 vs TP-Link Archer D20 AC750

Add a product
  • 42specifications compared
  • 16differ
  • 26identical
  • 28known for one product only

Key differences

  • Ethernet LAN interface type
    • Archer CR700:Gigabit Ethernet
    • Archer D20 AC750:Fast Ethernet
  • Ethernet LAN data rates
    • Archer CR700:10,100,1000 Mbit/s
    • Archer D20 AC750:10,100 Mbit/s
  • Cabling technology
    • Archer CR700:10/100/1000Base-T(X)
    • Archer D20 AC750:10/100Base-T(X)
  • Management protocols
    • Archer CR700:HTTP, SSL, SNMP
    • Archer D20 AC750:SSL for TR-069, SNMP v1/2c
  • Product colour
    • Archer CR700:Black, Grey
    • Archer D20 AC750:Black
  • Cables included
    • Archer CR700:LAN (RJ-45)
    • Archer D20 AC750:LAN (RJ-45), Phone (RJ-11)
  • Certification
    • Archer CR700:FCC, RoHS, UL, CableLabs
    • Archer D20 AC750:CE, FCC, RCM, RoHS
  • Antenna design
    • Archer CR700:Internal
    • Archer D20 AC750:External

Side by side

Differences highlightedShow differences only (on)
Comparison of Archer CR700, Archer D20 AC750
70 specifications
Wireless LAN featuresidentical
Top Wi-Fi standardKnown for oneWi-Fi 5 (802.11ac)Unknown — not stated by the source
Wi-Fi standardsKnown for one802.11a, Wi-Fi 5 (802.11ac), 802.11b, 802.11g, Wi-Fi 4 (802.11n)Unknown — not stated by the source
Network3 differ
Ethernet LAN interface typeDiffersGigabit EthernetFast Ethernet
Ethernet LAN data ratesDiffers10,100,1000 Mbit/s10,100 Mbit/s
Cabling technologyDiffers10/100/1000Base-T(X)10/100Base-T(X)
VPN tunnels quantityKnown for oneUnknown — not stated by the source10
DSL featuresidentical
Internal modemKnown for oneYesUnknown — not stated by the source
Ports & interfacesidentical
USB portKnown for oneUnknown — not stated by the sourceYes
RJ-11 ports quantityKnown for oneUnknown — not stated by the source1
DC-in jackKnown for oneUnknown — not stated by the sourceYes
Management featuresidentical
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Securityidentical
DMZ supportKnown for oneYesUnknown — not stated by the source
Network address translation (NAT)Known for oneYesUnknown — not stated by the source
NAT functionalityKnown for oneNAT FirewallUnknown — not stated by the source
DoS attack preventionKnown for oneUnknown — not stated by the sourceYes
Protocols2 differ
Routing protocolsKnown for oneIGRP, RIP-1, RIP-2Unknown — not stated by the source
Management protocolsDiffersHTTP, SSL, SNMPSSL for TR-069, SNMP v1/2c
Supported network protocolsDiffersIPv6, IPv4ATM Forum UNI3.1/4.0, PPP over ATM (RFC 2364), PPP over Ethernet (RFC2516), IPoA (RFC1577/2225), MER\IPoE (RFC 1483 Routed), Bridge (RFC1483 Bridge), PVC
Data link protocolsKnown for oneUnknown — not stated by the sourceIPv4, IPv6
Design1 differ
Product colourDiffersBlack, GreyBlack
Packaging content1 differ
Cables includedDiffersLAN (RJ-45)LAN (RJ-45), Phone (RJ-11)
Certificates1 differ
CertificationDiffersFCC, RoHS, UL, CableLabsCE, FCC, RCM, RoHS
Antenna2 differ
Antenna designDiffersInternalExternal
Antennas quantityDiffers62
Detachable antenna(s)Known for oneUnknown — not stated by the sourceYes
Transmit powerKnown for oneUnknown — not stated by the source0 dBmW
Featuresidentical
Processor coresKnown for one2Unknown — not stated by the source
Internal memoryKnown for one256 MBUnknown — not stated by the source
Flash memoryKnown for one16 MBUnknown — not stated by the source
Firmware upgradeableKnown for oneYesUnknown — not stated by the source
Poweridentical
Power source typeKnown for oneDCUnknown — not stated by the source
Output voltageKnown for one12 VUnknown — not stated by the source
System requirementsidentical
Windows operating systems supportedKnown for oneWindows 7 Enterprise, Windows 7 Enterprise x64, Windows 7 Home Basic, Windows 7 Home Basic x64, Windows 7 Home Premium, Windows 7 Home Premium x64, Windows 7 Professional, Windows 7 Professional x64, Windows 7 Starter, Windows 7 Starter x64, Windows 7 Ultimate, Windows 7 Ultimate x64, Windows 8, WinUnknown — not stated by the source
Linux operating systems supportedKnown for oneYesUnknown — not stated by the source
Mac operating systems supportedKnown for oneYesUnknown — not stated by the source
Weight & dimensions3 differ
DepthDiffers160 mm141 mm
HeightDiffers229 mm33.7 mm
WidthDiffers37 mm202 mm
Other features3 differ
Filtering descriptionKnown for oneMAC/IP/URLUnknown — not stated by the source
Input currentKnown for one3.5 AUnknown — not stated by the source
USB ports quantityDiffers21
USB versionDiffers2.01.1
WLAN data transfer rates supportedKnown for one450,1300 Mbit/sUnknown — not stated by the source
xDSL connectionDiffersNoYes

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More wireless router comparisons

All wireless router comparisons